/**
  *  \file client/marks.h
  *
  *  (c) 2001-2008 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_MARKS_H
#define PCC_V2_CLIENT_MARKS_H

#include "cpluslib/types.h"
#include "gfx/gfx.h"
#include "game/player.h"

struct TMarkerImage {
    int          height;
    const int8*  data;
};

enum {
    NUM_USER_MARKERS = 8
};

void drawMarker(GfxCanvas& can, GfxParameters& parm, const TMarkerImage& marker, int x, int y);
void drawDottedCircle(GfxCanvas& can, GfxParameters& parm, int x, int y, int r);
void drawSelection(GfxCanvas& can, GfxParameters& parm, int x, int y, int mult, int divi);
void drawShipIcon(GfxCanvas& can, GfxParameters& parm, GPlayerRelation relation, bool big, int x, int y);
const TMarkerImage& getUserMarker(int id, bool big);

#endif
