/**
  *  \file client/wchart.h
  *  \brief Starchart Widget
  *
  *  (c) 2001-2008 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WCHART_H
#define PCC_V2_CLIENT_WCHART_H

#include "client/chart.h"
#include "ui/ui.h"
#include "game/coord.h"

// Static starchart piece.
class WChartWidget : public UIWidget {
    GChartViewport viewport;
    bool is_valid;
 public:
    WChartWidget();
    ~WChartWidget();
    void draw(GfxCanvas& can);
    virtual void setCenterPosition(GPoint pt);
    virtual void drawPre(GfxCanvas& can);
    virtual void drawPost(GfxCanvas& can);

    /** Get current center position. Only meaningful if isValid() is
        true. \return game coordinates */
    GPoint getCenterPosition() const
        { return viewport.center; }
    /** Check whether coordinates are valid. */
    bool isValid() const
        { return is_valid; }
    /// Make invalid.
    void setInvalid();

    /** Get current viewport. */
    const GChartViewport& getViewport() const
        { return viewport; }

    /// Zoom in.
    bool zoomIn();
    /// Zoom out.
    bool zoomOut();
};

#endif
