#include "game/player.h"
#include "u/t_game.h"

void
GamePlayerTestSuite::testParser()
{
    // parsePlayerSetFromNumberList()
    TS_ASSERT_EQUALS(parsePlayerSetFromNumberList("").toInteger(), 0);
    TS_ASSERT_EQUALS(parsePlayerSetFromNumberList("1").toInteger(), (1 << 1));
    TS_ASSERT_EQUALS(parsePlayerSetFromNumberList("11").toInteger(), (1 << 11));
    TS_ASSERT_EQUALS(parsePlayerSetFromNumberList("1 2").toInteger(), (1 << 1) | (1 << 2));
    TS_ASSERT_EQUALS(parsePlayerSetFromNumberList("a").toInteger(), 0);
 
    // formatPlayerSetToNumberList()
    TS_ASSERT_EQUALS(formatPlayerSetToNumberList(GPlayerSet::fromInteger(1 << 11)), "11");
    TS_ASSERT_EQUALS(formatPlayerSetToNumberList(GPlayerSet(3)), "3");
    TS_ASSERT_EQUALS(formatPlayerSetToNumberList(GPlayerSet::allUpTo(11)), "1 2 3 4 5 6 7 8 9 10 11");
}
